%define oname	ganglia

Name:		ganglia-web
License:	BSD
Version:	3.7.5
Release:	%mkrel 1
Summary:	Ganglia Web Frontend
Group:		Monitoring
URL:		http://ganglia.sourceforge.net/
Source0:	https://github.com/ganglia/ganglia-web/archive/%{version}/%{name}-%{version}.tar.gz
Source1:	ganglia-web.conf
Patch0:		ganglia-web-3.7.4-mga-dont-run-chown.patch

BuildArch:	noarch
Obsoletes:	%{oname}-webfrontend < 3.5.3
Provides:	%{oname}-webfrontend = %{version}-%{release}

BuildRequires:	rsync
Requires:	%{oname}-core
Requires:	php-webinterface
Requires:	rrdtool
Requires:	%{oname}-gmetad
Requires:	php-xml
Requires:	php-gd
Requires(post):	rpm-helper
Requires(preun): rpm-helper

%description
This component presents all the historical data saved
to Round-Robin databases by Gmetad in HTML allowing all
cluster, hosts and host metrics to be viewed in real-time.


%prep
%setup -q
%autopatch -p1

%build

%install
# No need for execure bit
chmod -x header.php
%make_install
install -D -m 644 %{SOURCE1} %{buildroot}%{_webappconfdir}/%{name}.conf

# Don't install docs in web dir
rm %{buildroot}%{_datadir}/%{name}frontend/{AUTHORS,COPYING,README,TODO}

%files
%doc AUTHORS COPYING README TODO
%config(noreplace) %{_webappconfdir}/%{name}.conf
%{_datadir}/%{name}frontend
%{_var}/lib/ganglia-web/conf
%attr(0755,apache,apache)/var/lib/ganglia-web/dwoo/compiled
%attr(0755,apache,apache)/var/lib/ganglia-web/dwoo/cache


%changelog
* Wed Nov 09 2022 solbu <solbu> 3.7.5-1.mga9
+ Revision: 1905021
- New release: 3.7.5

* Thu Mar 24 2022 umeabot <umeabot> 3.7.4-5.mga9
+ Revision: 1824277
- Mageia 9 Mass Rebuild

* Wed Jul 22 2020 mokraemer <mokraemer> 3.7.4-4.mga8
+ Revision: 1607867
- resolve mod_php conflict

* Wed Feb 12 2020 umeabot <umeabot> 3.7.4-3.mga8
+ Revision: 1501418
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 3.7.4-2.mga7
+ Revision: 1278396
- Mageia 7 Mass Rebuild

* Thu May 17 2018 daviddavid <daviddavid> 3.7.4-1.mga7
+ Revision: 1229978
- new version: 3.7.4
- update Source URL
- rename and rediff mga-dont-run-chown patch

* Wed Apr 26 2017 neoclust <neoclust> 3.7.2-1.mga6
+ Revision: 1097453
- New version 3.7.2 - Fixes XSS issue (mga#19297)

* Fri Feb 19 2016 umeabot <umeabot> 3.7.0-3.mga6
+ Revision: 969813
- Mageia 6 Mass Rebuild

* Tue Sep 15 2015 solbu <solbu> 3.7.0-2.mga6
+ Revision: 879510
- Use correct, new apache style access grants

* Sat Sep 12 2015 solbu <solbu> 3.7.0-1.mga6
+ Revision: 878321
- Fix CVE-2015-6816: auth bypass (mga#16715)
- New version: 3.7.0

* Wed Oct 15 2014 umeabot <umeabot> 3.6.2-4.mga5
+ Revision: 743221
- Second Mageia 5 Mass Rebuild

* Wed Oct 01 2014 tv <tv> 3.6.2-3.mga5
+ Revision: 733988
- rebuild for pear deps

* Tue Sep 16 2014 umeabot <umeabot> 3.6.2-2.mga5
+ Revision: 679410
- Mageia 5 Mass Rebuild

* Sat Sep 06 2014 solbu <solbu> 3.6.2-1.mga5
+ Revision: 672991
- New version

* Sun Aug 03 2014 solbu <solbu> 3.5.12-1.mga5
+ Revision: 659342
- Add apache config
- New version
- Drop P1, merged upstream

* Fri Nov 29 2013 solbu <solbu> 3.5.10-3.mga4
+ Revision: 554084
- Fix XSS flaw (mga#11782)

* Sat Oct 19 2013 umeabot <umeabot> 3.5.10-2.mga4
+ Revision: 530584
- Mageia 4 Mass Rebuild

* Thu Jul 25 2013 solbu <solbu> 3.5.10-1.mga4
+ Revision: 458016
- New version

* Thu May 30 2013 solbu <solbu> 3.5.8-1.mga4
+ Revision: 433457
- New version
- Rediff and rename patch

* Fri Jan 11 2013 umeabot <umeabot> 3.5.4-2.mga3
+ Revision: 351050
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 20 2012 solbu <solbu> 3.5.4-1.mga3
+ Revision: 333425
- Initial Mageia package
- Fix Makefile

